-- Customer specific once-script AAXX#36804

SPOOL xAAXX#36804.lst

SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;
select UPPER(USER) || '_AAXX#36804' || to_char(sysdate,'YYYYMMDD_HH24MISS') || '.lst' as fcltlogfile from dual;
spool &fcltlogfile
SET DEFINE OFF


-- AAIT
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicepoint-luchthavenweg@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicepoint-luchthavenweg@aa-fm.com%'
   AND aaxx_get_user = 'IT';

-- AAAH
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';facilitydesk@fm-solutions.nl')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%facilitydesk@fm-solutions.nl%'
   AND aaxx_get_user = 'AH';

-- AADB
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedeskdbs@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskdbs@aa-fm.com%'
   AND aaxx_get_user = 'DBS';
   
-- AADO   
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedeskdow@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskdow@aa-fm.com%'
   AND aaxx_get_user = 'DOW';

-- AAEN
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedeskenexis@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskenexis@aa-fm.com%'
   AND aaxx_get_user = 'ENEXIS';
   
-- AAEY
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';facilitair.meldpunt@nl.ey.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%facilitair.meldpunt@nl.ey.com%'
   AND aaxx_get_user = 'EY';

-- AAPM
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url,
                  ';servicedeskparkmanagement@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskparkmanagement@aa-fm.com%'
   AND (SELECT fac_version_cust FROM fac_version) = 'AAPM';

-- AAGN
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedesknijmegen@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedesknijmegen@aa-fm.com%'
   AND aaxx_get_user = 'GN';

-- ZKHM  
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedeskisala-diac@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskisala-diac@aa-fm.com%'
   AND (SELECT fac_version_cust FROM fac_version) = 'ZKHM';
   
-- NMMS
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedesk.nmm@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedesk.nmm@aa-fm.com%'
   AND aaxx_get_user = 'NMM';
   
-- AARW
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';ServicedeskRWS@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskRWS@aa-fm.com%'
   AND aaxx_get_user = 'RWS';
   
-- AASA
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';ServicedeskSABIC@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedeskSABIC@aa-fm.com%'
   AND aaxx_get_user = 'SABIC';
   
-- AASI
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedesksitech@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedesksitech@aa-fm.com%'
   AND aaxx_get_user = 'SITECH';

-- AAVL
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';facilitydeskvanlanschot@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%facilitydeskvanlanschot@aa-fm.com%'
   AND aaxx_get_user = 'VL';

-- AAZC
UPDATE prs_bedrijfadres
   SET prs_bedrijfadres_url =
          CONCAT (prs_bedrijfadres_url, ';servicedesknoorderboog@aa-fm.com')
 WHERE LOWER (prs_bedrijfadres_url) LIKE 'mailto:%'
   AND LOWER (prs_bedrijfadres_url) NOT LIKE
          '%servicedesknoorderboog@aa-fm.com%'
   AND aaxx_get_user = 'ZCN';
 
COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;   
/

COMMIT;
SPOOL OFF
